package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkChannelOrderStatusUpdateRequest struct {
	/*
	   修改信息     */
	OrderStatusInfo *domain.AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo `json:"order_status_info" required:"true" `
}

func (s *AlibabaWdkChannelOrderStatusUpdateRequest) SetOrderStatusInfo(v domain.AlibabaWdkChannelOrderStatusUpdateOrderStatusInfo) *AlibabaWdkChannelOrderStatusUpdateRequest {
	s.OrderStatusInfo = &v
	return s
}

func (req *AlibabaWdkChannelOrderStatusUpdateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.OrderStatusInfo != nil {
		paramMap["order_status_info"] = util.ConvertStruct(*req.OrderStatusInfo)
	}
	return paramMap
}

func (req *AlibabaWdkChannelOrderStatusUpdateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
